<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <!-- Подключение axios -->
  <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
  <script>
    // Зачёркивание выполненного пункта списка покупок
    let switchCompleted = element => {
      if (element.classList.contains('completed')) {
        element.classList.remove("completed");
      }
      else {
        element.classList.add("completed");
      }
    }

    // https://dummyjson.com/docs
    // Запрос тестовых данных
    axios.get('https://dummyjson.com/products?limit=10&skip=0&select=id,title')
      .then(result => {
        // Вывод в консоль результата запроса тестовых данных
        console.log(result.data);
        let order_items = result.data.products;
        let orderItemsDiv = document.getElementById('order__items');

        order_items.forEach((item, i, arr) => {
          let orderItemDiv = document.createElement('div');
          orderItemDiv.innerHTML = `<span style="display: inline-block; width: 30px; text-decoration: inherit;">${item.id}</span> ${item.title}`;
          
          orderItemDiv.onclick = event => {
            console.log(event.target.closest('div'));
            switchCompleted(event.target.closest('div'));
          }

          orderItemsDiv.appendChild(orderItemDiv);
        });
      });
  </script>
  <style>
    .completed {
      text-decoration: line-through red;
      color: #777777;
    }
  </style>
</head>
<body>
  <h1>Заказ</h1>
  <div id="order__items"></div>
</body>
</html>
